using RestSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace Tr.Sdk.Blacklist
{
    public class AddBlacklistRequest : TrRequest
    {
        [RequestProperty(Name = "phone")]
        public string Phone { get; set; }

        /// <summary>
        /// 1:白名单;2:呼入黑名单;3:呼出黑名单;4:呼入呼出黑名单;
        /// </summary>
        [RequestProperty(Name = "special_flag")]
        public int SpecialFlag { get; set; }

        public override string Path() => "api/special_phone/insert";

        public override Method HttpMethod() => Method.Post;
    }
}
